## ipv6 ipv6 — IPv6 Settings |

## Properties

Table 64.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    addr-gen-mode
    int32
    3
    address-data
    array of vardict
    addresses
    array of legacy IPv6 address struct (a(ayuay))
    auto-route-ext-gw
    NMTernary (int32)
    dad-timeout
    int32
    -1
    dhcp-duid
    string
    dhcp-hostname
    string
    dhcp-hostname-flags
    uint32
    0
    dhcp-iaid
    string
    dhcp-reject-servers
    array of string
    dhcp-send-hostname
    boolean
    TRUE
    dhcp-timeout
    int32
    0
    dns
    array of byte array
    dns-data
    array of strings
    dns-options
    array of string
    dns-priority
    int32
    0
    dns-search
    array of string
    gateway
    string
    ignore-auto-dns
    boolean
    FALSE
    ignore-auto-routes
    boolean
    FALSE
    ip6-privacy
    NMSettingIP6ConfigPrivacy (int32)
    may-fail
    boolean
    TRUE
    method
    string
    mtu
    uint32
    0
    never-default
    boolean
    FALSE
    ra-timeout
    int32
    0
    replace-local-rule
    NMTernary (int32)
    required-timeout
    int32
    -1
    route-data
    array of vardict
    route-metric
    int64
    -1
    route-table
    uint32
    0
    routes
    array of legacy IPv6 route struct (a(ayuayu))
    routing-rules
    array of 'a{sv}'
    token
    string